local debug = false
--[===[@debug@
debug = true
--@end-debug@]===]

local L = LibStub("AceLocale-3.0"):NewLocale("GarrisonJukeBox", "enUS", true, debug)

--[[ADDON]]
L["ADDON_NAME"] = "GarrisonJukeBox"
L["ADDON_LOADED"] = "loaded!"
L["ADDON_AUTHOR"] = "Author: "
L["ADDON_ERROR_LOADING"] = "Error loading GarrisonJukeBox!"
L["ADDON_TITLENOTFOUND"] = "Title not found : "
L["ADDON_FILEREMOVEMSG"] = "The entry was removed from your jukebox."

-- misc messages
L["PLAYING"] = "Playing: "
L["EXP_WCEVENTS"] = "Warcraft Events & Misc"
L["EXP_REVAMP"] = " Revamp"

--[[OPTIONS]]
L["OPT_JUKEBOX_OPTIONS"] = "Garrison JukeBox Options"

-- groups
L["OPT_JUKEBOX"] = "JukeBox"
L["OPT_JUKEBOX_DESC"] = "Configure your jukebox."
L["OPT_AUDIO"] = "Audio"
L["OPT_AUDIO_DESC"] = "Audio controls."
L["OPT_ABOUT"] = "About"

-- jukebox group
L["HDR_SELECTION"] = "Music Selection"
L["TOG_SHUFFLE"] = "Shuffle music"
L["TOG_SHUFFLE_DESC"] = "Randomly plays music titles from your jukebox."
L["SEL_EXPANSION"] = "Expansion/Category"
L["SEL_EXPANSION_DESC"] = "Select the expansion or category."
L["SEL_MUSIC"] = "Music"
L["SEL_MUSIC_DESC"] = "Select the music."
L["SEL_JUKEBOX"] = "Your JukeBox"
L["SEL_JUKEBOX_DESC"] = "Your custom music jukebox."
L["CMD_ADD"] = "Add"
L["CMD_ADD_DESC"] = "Adds the music to your jukebox list."
L["OPT_PLAYSAMPLE"] = "Play Sample"
L["OPT_PLAYSAMPLE_DESC"] = "Plays a sample of the selected music."
L["CMD_REMOVE"] = "Remove"
L["CMD_REMOVE_DESC"] = "Removes the selected music from your jukebox list."
L["CMD_REMOVEALL"] = "Remove All"
L["CMD_REMOVEALL_DESC"] = "Removes all music from your jukebox list."
L["HDR_ZONES"] = "Zones"
L["SEL_ZONE"] = "Zone"
L["SEL_ZONE_DESC"] = "Select a zone."
L["CMD_ADDZONE_DESC"] = "Adds a zone to the list of zones to play your jukebox in."
L["SEL_YOUR_ZONES"] = "Your Zones"
L["SEL_YOUR_ZONES_DESC"] = "Your selected zones where GarrisonJukeBox will play music from your jukebox."
L["TOG_PETBATTLE"] = "Pet Battle music"
L["TOG_PETBATTLE_DESC"] = "Enable/Disable Pet Battle music while in a garrison."
L["SAMPLE_MUSIC"] = "Sample: "
L["SAMPLE_FILE"] = "File: "

-- audio group
L["INP_WOWAUDIOFILE"] = "WoW embedded audio file name"
L["CMD_PLAY"] = "Play"
L["CMD_STOP"] = "Stop"
L["CMD_NEXT"] = "Next"
L["CMD_PREV"] = "Prev"
L["TOG_SLASHES"] = "Replace double-slashes"
L["TOG_SLASHES_DESC"] = "Replace double-slashes in the string provided with single slashes; just in case you're copying from source code or script commands."
L["HDR_AUDIOPLAYER"] = "Audio Player"

-- about group
L["ABOUT_SLASHCMD_TITLE"] = "Slash Commands (/gjb)"

L["ABOUT_SLASHCMD_PLAY"] = "- play: Stops original zone music and starts playback of your jukebox items.\r"
L["ABOUT_SLASHCMD_PREV"] = "- prev: Plays the previous song in your jukebox; if set to 'shuffle', will simply play another random song.\r"
L["ABOUT_SLASHCMD_NEXT"] = "- next: Plays the next song in your jukebox; if set to 'shuffle', will simply play another random song.\r"
L["ABOUT_SLASHCMD_STOP"] = "- stop: Stops playback and starts original zone music.\r"

-- error messages
L["ERROR_INVALID_COLOR"] = " is an invalid color."

-- music titles
L["TITLE_MAIN_THEME"] = "Main Theme"
L["TITLE_TIRISFAL"] = "Tirisfal Glades"
L["TITLE_SUNWELL"] = "Sunwell Plateau"
L["TITLE_ESCDURNHOLDE"] = "CoT: Escape from Durholde"
L["TITLE_HYJAL"] = "CoT: Mount Hyjal"
L["TITLE_NIGHTELVES"] = "Nightsong"
L["TITLE_WANDERINGISLE"] = "Wandering Isle"
L["TITLE_VALLEY4WINDS"] = "Valley of the Four Winds"
L["TITLE_SONG_LIULANG"] = "Song of Liulang"
L["TITLE_SERPENTRACE"] = "Serpent Race"
L["TITLE_POWEROTHORDE"] = "Power of the Horde"
L["TITLE_FIREFESTIVAL"] = "Fire Festival"
L["TITLE_ARGENTTOURNY"] = "Argent Tournament"
L["TITLE_MOLTENCORE"] = "Molten Core"
L["TITLE_ASHENVALE"] = "Ashenvale"
L["TITLE_LAMENTOTHIGHBORNE"] = "Lament of the Highborne"
L["TITLE_STORMPEAKS"] = "Storm Peaks"
L["TITLE_AFTERMATH"] = "Aftermath"
L["TITLE_CORRUPTED_DRAGONBLIGHT"] = "Corrupted Dragonblight"
L["TITLE_DRAGONSOUL"] = "Dragonsoul"
L["TITLE_FANGS_OT_FATHER"] = "Fangs of the Father"
L["TITLE_NIGHTWALK"] = "Nightwalk"
L["TITLE_TWILIGHTHIGHLANDS"] = "Twilight Highlands"
L["TITLE_WELLOFETERNITY"] = "Well of Eternity"
L["TITLE_ZINAZSHARI"] = "Zin-Azshari"
L["TITLE_RAGE_OT_FIRELANDS"] = "Rage of the Firelands"
L["TITLE_DARNASSUS"] = "Darnassus"
L["TITLE_GNOMERAGON"] = "Gnomeragon"
L["TITLE_IRONFORGE"] = "Ironforge"
L["TITLE_ORGRIMMAR"] = "Orgrimmar"
L["TITLE_STORMWIND"] = "Stormwind"
L["TITLE_THUNDERBLUFF"] = "Thunderbluff"
L["TITLE_UNDERCITY"] = "Undercity"
L["TITLE_A_HEROS_SACRIFICE"] = "A Hero's Sacrifice"
L["TITLE_A_LIGHT_IT_DARKNESS"] = "A Light in the Darkness"
L["TITLE_SPIRES_OF_ARAK"] = "Spires of Arak"
L["TITLE_DRAENOR_ARMY"] = "Army"
L["TITLE_DRAENOR_FREEDOM"] = "Freedom"
L["TITLE_DRAENOR_BLACKROCK"] = "Blackrock"
L["TITLE_AZUREMIST"] = "Azuremist"
L["TITLE_EXODAR"] = "The Exodar"
L["TITLE_BARRENS"] = "Barrens"
L["TITLE_BLACKTEMPLE"] = "Black Temple"
L["TITLE_BLACKTEMPLE_GATES"] = "Black Temple Gates"
L["TITLE_BLACKTEMPLE_KARABOR"] = "Black Temple Karabor"
L["TITLE_BLACKTEMPLE_RELIQUARY"] = "Black Temple Reliquary"
L["TITLE_BLACKTEMPLE_SANCTUARY"] = "Black Temple Sanctuary"
L["TITLE_BLOODMIST"] = "Bloodmyst"
L["TITLE_DALARAN"] = "Dalaran"
L["TITLE_ICECROWNGLACIER"] = "Icecrown Glacier"
L["TITLE_CRYSTALSONGFOREST"] = "Crystal Song Forest"
L["TITLE_DRAGONBLIGHT"] = "Dragon Blight"
L["TITLE_HOWLINGFJORD"] = "Howling Fjord"
L["TITLE_ESCAPEFROMARTHAS"] = "Escape from Arthas"
L["TITLE_LADYORLICH"] = "Lady or the Lich"
L["TITLE_ICC1"] = "Icecrown Citadel 1"
L["TITLE_ICC2"] = "Icecrown Citadel 2"
L["TITLE_ICC3"] = "Icecrown Citadel 3"
L["TITLE_SCHOLAZARBASIN"] = "Scholazar Basin"
L["TITLE_AHNQIRAJ"] = "Ahn'Qiraj"
L["TITLE_FELWOOD"] = "Felwood"
L["TITLE_TANARIS"] = "Tanaris"
L["TITLE_STRAGLETHORN"] = "Stranglethorn Vale"
L["TITLE_WINTERSPRING"] = "Winterspring"
L["TITLE_NAXXRAMAS"] = "Naxxramas"
L["TITLE_PLAINS"] = "Mulgore"
L["TITLE_SWAMPOFSORROWS"] = "Swamp of Sorrows"
L["TITLE_BURNINGSTEPPES"] = "Burning Steppes"
L["TITLE_ZULAMAN"] = "Zul'Aman"
L["TITLE_BLADESEDGE"] = "Blade's Edge"
L["TITLE_CAVERNSOFTIME"] = "Caverns of Time"
L["TITLE_BLACKMORASS"] = "Black Morass"
L["TITLE_EVERSONG"] = "Eversong Woods"
L["TITLE_GHOSTLANDS"] = "Ghostlands"
L["TITLE_HELLFIRE"] = "Hellfire Peninsula"
L["TITLE_KARAZHAN"] = "Karazhan"
L["TITLE_NAGRAND"] = "Nagrand"
L["TITLE_NETHERSTORM"] = "Netherstorm"
L["TITLE_SHADOWMOON"] = "Shadowmoon Valley"
L["TITLE_TEMPESTKEEP"] = "Tempest Keep"
L["TITLE_ZANGARMASH"] = "Zangarmarsh"
L["TITLE_CALL_OT_CRUSADE"] = "Call of the Crusade"
L["TITLE_ARGENT_TOURNAMENT"] = "Argent Tournament"
L["TITLE_AZJOLNERUB"] = "Azjol-Nerub"
L["TITLE_BOREANTUNDRA"] = "Borean Tundra"
L["TITLE_EBONHOLD"] = "Ebon Hold"
L["TITLE_GRIZZLYHILLS"] = "Grizzly Hills"
L["TITLE_WINTERGRASP"] = "Lake Wintergrasp"
L["TITLE_NEXUS"] = "The Nexus"
L["TITLE_IRONDWARVES"] = "Dark Iron Dwarves"
L["TITLE_NR_TRANSPORT"] = "Northrend Transportation"
L["TITLE_NR_ORCS"] = "Northrend Orcs"
L["TITLE_NR_TAUNKA"] = "Northrend Taunka"
L["TITLE_NR_TROLLS"] = "Northrend Trolls"
L["TITLE_TEROKKAR"] = "Terokkar"
L["TITLE_ULDUAR1"] = "Ulduar 1"
L["TITLE_ULDUAR2"] = "Ulduar 2"
L["TITLE_ULDUAR3"] = "Ulduar 3"
L["TITLE_UTGARDEKEEP"] = "Utgarde Keep"
L["TITLE_VIOLETHOLD"] = "Violet Hold"
L["TITLE_ZULDRAK"] = "Zul'Drak"
L["TITLE_DRUIDS_OT_FLAME"] = "Druids of the Flame"
L["TITLE_ELEMENTALAIR"] = "Elemental Air"
L["TITLE_ELEMENTALEARTH"] = "Elemental Earth"
L["TITLE_ELEMENTALWATER"] = "Elemental Water"
L["TITLE_ELEMENTALBONDS"] = "Elemental Bonds"
L["TITLE_THRALLAGGRA"] = "Thrall & Aggra"
L["TITLE_DEATHWING"] = "Deathwing"
L["TITLE_WARSHIPS"] = "Warships"
L["TITLE_GILNEAS"] = "Gilneas"
L["TITLE_ARATHIHIGHLANDS"] = "Arathi Highlands"
L["TITLE_AZSHARA"] = "Azshara"
L["TITLE_BARROWDENS"] = "Barrow Dens"
L["TITLE_CHOGALL"] = "Cho'Gall"
L["TITLE_COLDMOUNTAINS"] = "Cold Mountains"
L["TITLE_DARKIRONFORGE"] = "Dark Ironforge"
L["TITLE_DARKWHISPERGORGE"] = "Darkwhisper Gorge"
L["TITLE_DEEPHOLM"] = "Deepholm"
L["TITLE_DUROTAR"] = "Durotar"
L["TITLE_EYE_OT_VORTEX"] = "Eye of the Vortex"
L["TITLE_FERALAS"] = "Feralas"
L["TITLE_GHOST"] = "Ghost"
L["TITLE_GOBLINS"] = "Goblins"
L["TITLE_DUSTWALLOWMARSH"] = "Dustwallow Marsh"
L["TITLE_DARKSHORE"] = "Darkshore"
L["TITLE_ULDUM"] = "Uldum"
L["TITLE_UNGORO"] = "Un'Goro Crater"
L["TITLE_MOONGLADE"] = "Moonglade"
L["TITLE_VASHJIR"] = "Vashj'ir"
L["TITLE_SHADOWS"] = "Shadows"
L["TITLE_SILITHUS"] = "Silithus"
L["TITLE_SBARRENS"] = "Southern Barrens"
L["TITLE_STONETALON"] = "Stonetalon Mountains"
L["TITLE_UNDEAD"] = "Undead"
L["TITLE_WESTFALL"] = "Westfall"
L["TITLE_WESTPLAGUE"] = "Western Plaguelands"
L["TITLE_WORDS_AND_MUSIC"] = "Words and Music"
L["TITLE_TELDRASIL"] = "Teldrasil"
L["TITLE_MOGU"] = "The Mogu"
L["TITLE_AUGUSTCELESTIALS"] = "The August Celestials"
L["TITLE_BAMBOO"] = "Bamboo"
L["TITLE_BATTLE4PANDARIA"] = "Battle for Pandaria"
L["TITLE_BREWING"] = "Brewing"
L["TITLE_DREADWASTES"] = "Dread Wastes"
L["TITLE_GATE_OT_SETTING_SUN"] = "Gate of the Setting Sun"
L["TITLE_HOZEN"] = "The Hozen"
L["TITLE_RSASARANGWILDS"] = "Krasarang Wilds"
L["TITLE_KUNLAISUMMIT"] = "Kun-Lai Summit"
L["TITLE_MONKS"] = "Monks"
L["TITLE_PANDARIA"] = "Pandaria"
L["TITLE_SCARLETMONASTERY"] = "Scarlet Monastery"
L["TITLE_SCHOLOMANCE"] = "Scholomance"
L["TITLE_SERPENTHEART"] = "Serpent's Heart"
L["TITLE_SHA"] = "Sha"
L["TITLE_SHADOPAN"] = "Shado Pan"
L["TITLE_SHENZINSU"] = "Shen Zin Su"
L["TITLE_SIEGENIUZAOTEMPLE"] = "Siege of Niuzao Temple"
L["TITLE_SPIRITCAVE"] = "Spirit Cave"
L["TITLE_TEMPLE5DAWNS"] = "Temple of the Five Dawns"
L["TITLE_TEMPLEJADESERPENT"] = "Temple of the Jade Serpent"
L["TITLE_SHRINE"] = "The Shrine"
L["TITLE_TOWNLONGSTEPPES"] = "Townlong Steppes"
L["TITLE_GECKO"] = "Gecko"
L["TITLE_FAMILY"] = "Family"
L["TITLE_VALEETERNAL"] = "Vale of Eternal Blossoms"
L["TITLE_ALLIANCE"] = "Alliance"
L["TITLE_HORDE"] = "Horde"
L["TITLE_KIRINTOR"] = "Kirin Tor"
L["TITLE_SUNREAVERS"] = "Sunreavers"
L["TITLE_ISLEOFTHUNDER"] = "Isle of Thunder"
L["TITLE_THUNDERKING"] = "Thunder King"
L["TITLE_TROLLS"] = "Zandalari"
L["TITLE_WRATHION"] = "Wrathion"
L["TITLE_CORRUPTEDVALE"] = "Corrupted Vale"
L["TITLE_DOOMHAMMER"] = "Doomhammer"
L["TITLE_LEGENDARY"] = "Legendary"
L["TITLE_MOKRAH"] = "Mok-Rah"